Last Comment Bug 543514 - [AMO] Update addons.mozilla.org on 2/2
: [AMO] Update addons.mozilla.org on 2/2
Status: VERIFIED FIXED
02/02/2010 @ 8pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on: 543798 543799 543924
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-01 10:54 PST by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
8 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments
5.7.sql (288 bytes, text/plain)
2010-02-01 10:54 PST, Wil Clouser [:clouserw]
no flags Details

Description Wil Clouser [:clouserw] 2010-02-01 10:54:53 PST
Created attachment 424628 [details]
5.7.sql

This is a production AMO push for 5.6.  Steps are below, please paste the output of all commands into this bug.  Steps to follow:

1) Run `cd bin; php -f maintenance.php publish_files`.  There will be an error or two, but no big deal.

2) Run the attached SQL.

3) `svn up` the sphinx conf (wherever it lives.  chizu?)

4) `svn up` addons.mozilla.org.  `svn revert -R` first.

5) Update services.addons.mozilla.org with `svn up`

6) Restart apache to pick up gettext changes

7) Clear all caches (Zeus, memcache, local cake cache) on both AMO and SAMO.

8) Get zamboni setup.  I don't have a firm grasp of everything this entails on your end.  Our production documentation is at http://jbalogh.github.com/zamboni/topics/production/ .  If something isn't correct there, let us know and we can fix it (or you can write a patch ;).  When in doubt, look at how it's setup on preview.


I still need to tag the site so this bug is serving as advanced notice for now.
Comment 1 Wil Clouser [:clouserw] 2010-02-01 23:11:26 PST
The site has been tagged in r61591.  It's worth mentioning I'll be out of contact from around noonish to midnight.  I'd suggest chilling in #amo and if there is trouble poke jbalogh.
Comment 2 Jeremy Orem [:oremj] 2010-02-02 11:07:19 PST
Let's do 8pm.
Comment 3 Jeff Balogh (:jbalogh) 2010-02-02 18:55:13 PST
We need to get Hudson back to fetch our packages, and should see that preview is working before we push anything live.  This is only a blocker for #8.
Comment 4 Jeff Balogh (:jbalogh) 2010-02-02 19:51:56 PST
(In reply to comment #3)
> We need to get Hudson back to fetch our packages, and should see that preview
> is working before we push anything live.  This is only a blocker for #8.

Until Hudson is fixed, you can get the latest bundle from http://people.mozilla.org/~jbalogh/amo.pybundle
Comment 5 Jeremy Orem [:oremj] 2010-02-02 20:05:39 PST
[root@pm-app-amo21 bin]# php -f maintenance.php publish_files
20:04:49 Source file doesn't exist: /mnt/netapp_amo/addons.mozilla.org-remora/files/4001/wasp-1.30.5beta-fx.xpi
20:04:49 Copy FAILED for add-on 4001 file wasp-1.30.5beta-fx.xpi


mysql> INSERT INTO download_sources (name, type, created)
    ->     VALUES ('oftenusedwith', 'full', NOW()),
    ->            ('similarcollections', 'full', NOW());
Query OK, 2 rows affected (0.01 sec)
Records: 2  Duplicates: 0  Warnings: 0

mysql> 
mysql> -- This has nothing to do with the rev, just need to add an index:
mysql> 
mysql> create index test_results_cache_key_index on test_results_cache (`key`);
Query OK, 1610 rows affected (0.21 sec)
Records: 1610  Duplicates: 0  Warnings: 0
Comment 6 Jeremy Orem [:oremj] 2010-02-02 20:21:56 PST
 U   .

Fetching external item into 'site'
A    site/app/locale/sv_SE/LC_MESSAGES/django.po
U    site/app/locale/sv_SE/LC_MESSAGES/messages.mo
U    site/app/locale/sv_SE/LC_MESSAGES/messages.po
U    site/app/locale/uk/LC_MESSAGES/messages.mo
U    site/app/locale/uk/LC_MESSAGES/messages.po
U    site/app/locale/sq/LC_MESSAGES/messages.mo
U    site/app/locale/sq/LC_MESSAGES/messages.po
U    site/app/locale/da/LC_MESSAGES/messages.mo
U    site/app/locale/da/LC_MESSAGES/da.txt
U    site/app/locale/da/LC_MESSAGES/messages.po
U    site/app/locale/sr/LC_MESSAGES/messages.mo
U    site/app/locale/sr/LC_MESSAGES/messages.po
U    site/app/locale/fa/LC_MESSAGES/messages.mo
U    site/app/locale/fa/LC_MESSAGES/messages.po
U    site/app/locale/de/LC_MESSAGES/messages.mo
U    site/app/locale/de/LC_MESSAGES/messages.po
U    site/app/locale/ja/LC_MESSAGES/messages.mo
U    site/app/locale/ja/LC_MESSAGES/messages.po
U    site/app/locale/he/LC_MESSAGES/messages.mo
U    site/app/locale/he/LC_MESSAGES/messages.po
A    site/app/locale/es_ES/LC_MESSAGES/django.po
U    site/app/locale/es_ES/LC_MESSAGES/messages.mo
U    site/app/locale/es_ES/LC_MESSAGES/messages.po
A    site/app/locale/es_ES/LC_MESSAGES/django.mo
U    site/app/locale/fi/LC_MESSAGES/messages.mo
U    site/app/locale/fi/LC_MESSAGES/messages.po
U    site/app/locale/pt_BR/LC_MESSAGES/messages.mo
U    site/app/locale/pt_BR/LC_MESSAGES/messages.po
A    site/app/locale/fr/pages/validation.thtml
A    site/app/locale/fr/pages/docs
A    site/app/locale/fr/pages/docs/gettingstarted.thtml
A    site/app/locale/fr/pages/docs/policies
A    site/app/locale/fr/pages/docs/policies/contact.thtml
A    site/app/locale/fr/pages/docs/policies/submission.thtml
A    site/app/locale/fr/pages/docs/policies/maintenance.thtml
A    site/app/locale/fr/pages/docs/policies/recommended.thtml
A    site/app/locale/fr/pages/docs/policies/reviews.thtml
A    site/app/locale/fr/pages/statistics_help.thtml
A    site/app/locale/fr/pages/compatibility_firstrun.thtml
A    site/app/locale/fr/pages/compatibility_user_tips.thtml
A    site/app/locale/fr/pages/developer_faq.thtml
A    site/app/locale/fr/pages/fashion_faq.thtml
A    site/app/locale/fr/pages/distribution.thtml
A    site/app/locale/fr/pages/reviewguide.thtml
U    site/app/locale/fr/LC_MESSAGES/messages.mo
U    site/app/locale/fr/LC_MESSAGES/messages.po
A    site/app/locale/nl/pages/docs/policies/submission.thtml
U    site/app/locale/nl/LC_MESSAGES/messages.mo
U    site/app/locale/nl/LC_MESSAGES/messages.po
U    site/app/locale/pl/pages/validation.thtml
U    site/app/locale/pl/pages/docs/policies/submission.thtml
U    site/app/locale/pl/pages/docs/case-studies/cooliris.thtml
U    site/app/locale/pl/LC_MESSAGES/messages.mo
U    site/app/locale/pl/LC_MESSAGES/messages.po
U    site/app/locale/hu/LC_MESSAGES/messages.mo
U    site/app/locale/hu/LC_MESSAGES/messages.po
U    site/app/locale/keys.pot
A    site/app/locale/vi/LC_MESSAGES/django.po
U    site/app/locale/vi/LC_MESSAGES/messages.mo
U    site/app/locale/vi/LC_MESSAGES/messages.po
A    site/app/locale/sr-Latn/LC_MESSAGES/django.po
U    site/app/locale/sr-Latn/LC_MESSAGES/messages.po
U    site/app/locale/ro/LC_MESSAGES/messages.mo
U    site/app/locale/ro/LC_MESSAGES/messages.po
U    site/app/locale/ca/LC_MESSAGES/messages.mo
U    site/app/locale/ca/LC_MESSAGES/messages.po
U    site/app/locale/tr/LC_MESSAGES/messages.mo
U    site/app/locale/tr/LC_MESSAGES/messages.po
U    site/app/locale/ru/pages/about.thtml
U    site/app/locale/ru/pages/nomination.thtml
A    site/app/locale/ru/pages/collector_faq.thtml
A    site/app/locale/ru/pages/compatibility_developer_tips.thtml
U    site/app/locale/ru/pages/sandbox.thtml
U    site/app/locale/ru/pages/error404.thtml
A    site/app/locale/ru/pages/collector_firstrun.thtml
A    site/app/locale/ru/pages/statistics_help.thtml
U    site/app/locale/ru/pages/submission_help.thtml
A    site/app/locale/ru/pages/collector_features.thtml
A    site/app/locale/ru/pages/collector.thtml
A    site/app/locale/ru/pages/compatibility_user_tips.thtml
A    site/app/locale/ru/pages/faq.thtml
U    site/app/locale/ru/LC_MESSAGES/messages.mo
U    site/app/locale/ru/LC_MESSAGES/messages.po
A    site/app/locale/af/LC_MESSAGES/django.po
U    site/app/locale/af/LC_MESSAGES/messages.po
A    site/app/locale/pt_PT/pages/about.thtml
A    site/app/locale/pt_PT/LC_MESSAGES/django.po
U    site/app/locale/pt_PT/LC_MESSAGES/messages.mo
U    site/app/locale/pt_PT/LC_MESSAGES/messages.po
A    site/app/locale/pt_PT/LC_MESSAGES/django.mo
U    site/app/locale/zh_TW/LC_MESSAGES/messages.mo
U    site/app/locale/zh_TW/LC_MESSAGES/messages.po
A    site/app/locale/id/LC_MESSAGES/django.po
U    site/app/locale/id/LC_MESSAGES/messages.mo
U    site/app/locale/id/LC_MESSAGES/messages.po
U    site/app/locale/el/LC_MESSAGES/messages.mo
U    site/app/locale/el/LC_MESSAGES/messages.po
U    site/app/locale/zh_CN/LC_MESSAGES/messages.mo
U    site/app/locale/zh_CN/LC_MESSAGES/messages.po
U    site/app/locale/ar/LC_MESSAGES/messages.mo
U    site/app/locale/ar/LC_MESSAGES/messages.po
U    site/app/locale/ga_IE/LC_MESSAGES/messages.mo
U    site/app/locale/ga_IE/LC_MESSAGES/messages.po
U    site/app/locale/cs/LC_MESSAGES/messages.mo
U    site/app/locale/cs/LC_MESSAGES/messages.po
U    site/app/locale/fy_NL/LC_MESSAGES/messages.po
U    site/app/locale/ko/LC_MESSAGES/messages.mo
U    site/app/locale/ko/LC_MESSAGES/messages.po
U    site/app/locale/en_US/pages/nomination.thtml
U    site/app/locale/en_US/LC_MESSAGES/messages.mo
U    site/app/locale/en_US/LC_MESSAGES/messages.po
U    site/app/locale/eu/LC_MESSAGES/messages.mo
U    site/app/locale/eu/LC_MESSAGES/messages.po
A    site/app/locale/mn/LC_MESSAGES/django.po
U    site/app/locale/mn/LC_MESSAGES/messages.mo
U    site/app/locale/mn/LC_MESSAGES/messages.po
U    site/app/locale/cy/LC_MESSAGES/messages.mo
U    site/app/locale/cy/LC_MESSAGES/messages.po
U    site/app/locale/it/LC_MESSAGES/messages.mo
U    site/app/locale/it/LC_MESSAGES/messages.po
U    site/app/locale/sk/LC_MESSAGES/messages.mo
U    site/app/locale/sk/LC_MESSAGES/messages.po
G    site/app/webroot/services/install.php
G    site/app/webroot/services/pfs.php
U    site/app/webroot/css/admin.css
U    site/app/webroot/css/editors.css
D    site/app/webroot/css/amo2009/admin-django.css
D    site/app/webroot/css/amo2009/admin-mozilla.css
A    site/app/webroot/css/amo2009/zamboni
A    site/app/webroot/css/amo2009/zamboni/admin-django.css
A    site/app/webroot/css/amo2009/zamboni/tabs.css
A    site/app/webroot/css/amo2009/zamboni/translations
A    site/app/webroot/css/amo2009/zamboni/translations/trans.css
A    site/app/webroot/css/amo2009/zamboni/admin-mozilla.css
A    site/app/webroot/css/amo2009/editors.css
U    site/app/webroot/.htaccess
U    site/app/webroot/js/editors.js
A    site/app/webroot/js/zamboni
A    site/app/webroot/js/zamboni/translations
A    site/app/webroot/js/zamboni/translations/trans.js
A    site/app/webroot/js/zamboni/tabs.js
A    site/app/webroot/js/zamboni/underscore-min.js
A    site/app/webroot/js/zamboni/init.js
A    site/app/webroot/js/admin.js
U    site/app/webroot/js/amo2009/addons.js
U    site/app/webroot/js/amo2009/amo2009.min.js
U    site/app/webroot/js/amo2009/global.js
D    site/app/tests/selenium/Login.html
A    site/app/tests/selenium/Reviews
A    site/app/tests/selenium/Admin
A    site/app/tests/selenium/Admin/amoadmin.html
A    site/app/tests/selenium/Admin/usermanager.html
A    site/app/tests/selenium/Personas
A    site/app/tests/selenium/Personas/AMO_persona_TS.htm
A    site/app/tests/selenium/Personas/AMO_persona_sort.htm
A    site/app/tests/selenium/Personas/AMO_persona_detail_compare.htm
A    site/app/tests/selenium/Personas/AMO_persona_detail.htm
U    site/app/tests/selenium/search2.html
U    site/app/tests/selenium/amo-selenium.html
A    site/app/tests/selenium/App Views
A    site/app/tests/selenium/Buttons
A    site/app/tests/selenium/User Profile
A    site/app/tests/selenium/User Profile/edituser.html
U    site/app/tests/selenium/searchapi.html
U    site/app/tests/selenium/search.html
A    site/app/tests/selenium/Collections
A    site/app/tests/selenium/Collections/AMO_collections_TS.htm
A    site/app/tests/selenium/Collections/AMO_category_landing_collections.htm
A    site/app/tests/selenium/Accounts
A    site/app/tests/selenium/Accounts/Login-VerifyLoginFailsWithNoOrIncorrectEmail.html
A    site/app/tests/selenium/Accounts/Login-VerifySimpleLoginToAMOFirefox.html
A    site/app/tests/selenium/Accounts/Login-VerifyLoginFailsWithNoOrIncorrectPassword.html
A    site/app/tests/selenium/Accounts/Login-VerifyLoginFailsWithNoCredentials.html
A    site/app/tests/selenium/Search & Sort
A    site/app/tests/selenium/Developer
A    site/app/tests/selenium/Categories
A    site/app/tests/selenium/Categories/AMO_dictionaries_TS.htm
A    site/app/tests/selenium/Categories/AMO_categoryCommonLayout.htm
A    site/app/tests/selenium/Categories/AMO_category_sort_all_addons.htm
A    site/app/tests/selenium/Categories/AMO_category_landing_dictionaries.htm
A    site/app/tests/selenium/Categories/AMO_plugins_TS.htm
A    site/app/tests/selenium/Categories/AMO_category_landing_plugins.htm
A    site/app/tests/selenium/Categories/AMO_category_sort_top_ranked.htm
A    site/app/tests/selenium/Categories/AMO_categories_TS.htm
A    site/app/tests/selenium/Tags
U    site/app/models/addon.php
U    site/app/config/constants.php
U    site/app/config/revisions.php
A    site/app/config/migrations/61000-new-index.sql
A    site/app/config/migrations/60947-src-stats.sql
U    site/app/controllers/admin_controller.php
G    site/app/controllers/components/validation.php
U    site/app/controllers/components/stats.php
U    site/app/controllers/components/developers.php
U    site/app/controllers/components/editors.php
U    site/app/controllers/components/l10n.php
U    site/app/controllers/components/amo.php
U    site/app/controllers/components/hub.php
U    site/app/controllers/components/email.php
U    site/app/controllers/files_controller.php
U    site/app/controllers/developers_controller.php
U    site/app/controllers/addons_controller.php
G    site/app/controllers/versions_controller.php
U    site/app/controllers/editors_controller.php
A    site/app/views/admin/features_category.thtml
G    site/app/views/layouts/amo2009.thtml
U    site/app/views/users/info.thtml
U    site/app/views/helpers/addons_html.php
U    site/app/views/files/view.thtml
U    site/app/views/developers/discuss.thtml
U    site/app/views/developers/versions_edit.thtml
U    site/app/views/developers/dashboard.thtml
U    site/app/views/addons/policy.thtml
U    site/app/views/addons/display.thtml
U    site/app/views/addons/category_landing.thtml
G    site/app/views/versions/update_info.thtml
D    site/app/views/editors/featured.thtml
U    site/app/views/editors/performance_table.thtml
U    site/app/views/editors/reviews_queue.thtml
U    site/app/views/editors/motd_admin.thtml
U    site/app/views/editors/summary.thtml
U    site/app/views/editors/email/pending/public_plain.thtml
U    site/app/views/editors/email/pending/sandbox_plain.thtml
U    site/app/views/editors/email/inforequest_plain.thtml
U    site/app/views/editors/email/nominated/public_plain.thtml
U    site/app/views/editors/email/nominated/sandbox_plain.thtml
U    site/app/views/editors/review.thtml
U    site/app/views/editors/reviewlog.thtml
U    site/app/views/editors/logs.thtml
U    site/app/views/editors/queue.thtml
U    site/app/views/editors/performance_charts.thtml
U    site/app/views/elements/amo2009/visit_listed_button.thtml
A    site/app/views/elements/amo2009/editors
A    site/app/views/elements/amo2009/editors/navbar.thtml
A    site/app/views/elements/amo2009/editors/performance_header.thtml
A    site/app/views/elements/amo2009/editors/queue_search.thtml
A    site/app/views/elements/amo2009/editors/queue_tabs.thtml
A    site/app/views/elements/amo2009/editors/motd.thtml
U    site/app/views/elements/amo2009/visit_listed_warning.thtml
D    site/app/views/elements/developers/editorsmenu.thtml
D    site/app/views/elements/developers/performanceheader.thtml
D    site/app/views/elements/developers/editorsqueue.thtml
D    site/app/views/elements/developers/review_motd.thtml
U    site/app/views/elements/developers/adminmenu.thtml
U    site/app/views/elements/developers/editors_comment_add_form.thtml
A    site/app/views/elements/headers/page_header_editors.thtml
U    site/app/views/dev_hub/api_reference.thtml
U    site/app/views/collections/detail.thtml
U    site/vendors/sphinx/addonsSearch.php
Updated external to revision 61591.


Fetching external item into 'bin'
G    bin/import-personas.py
Updated external to revision 61591.


Fetching external item into 'site/vendors/product-details'
Updated external to revision 59694.


Fetching external item into 'bin/schematic'
Updated external to revision 59694.


Fetching external item into 'site/vendors/zxtm-api'
Updated external to revision 59694.


Fetching external item into 'site/vendors/phorms'
Updated external to revision 59694.


Fetching external item into 'site/vendors/fizzypop'
Updated external to revision 59694.


Fetching external item into 'site/vendors/l10n-completeness-check'
Updated external to revision 59694.


Fetching external item into 'site/vendors/gearman-php'
Updated external to revision 59694.


Fetching external item into 'site/vendors/sphinx/api'
Updated external to revision 1822.

Updated to revision 61650.
Comment 7 Jeremy Orem [:oremj] 2010-02-02 22:56:01 PST
Looks like everything is set up.
Comment 8 raymond [:retornam] (needinfo? me) 2010-02-02 23:06:54 PST
I checked and search is now working on production and https://addons.mozilla.org/en-US/admin/models/ now shows me the login screen. I am however leaving this bug for someone with admin privileges on production to verify.
Comment 9 Stephen Donner [:stephend] - PTO; back on 5/28 2010-02-02 23:17:38 PST
Post-push, we're seeing some empty username (in the "by:" line) on https://addons.mozilla.org/en-US/firefox/search?q=ebay -- they look to be filling in, but will wait until all's good before verifying.
Comment 10 Stephen Donner [:stephend] - PTO; back on 5/28 2010-02-03 01:00:06 PST
(In reply to comment #9)
> Post-push, we're seeing some empty username (in the "by:" line) on
> https://addons.mozilla.org/en-US/firefox/search?q=ebay -- they look to be
> filling in, but will wait until all's good before verifying.

I filed the above as bug 543924, but it's now working for me; the other two dependent bugs are verified fixed, so I'm marking this likewise (I checked a few bugs we verified on preview, and verified them again on prod, too).

Verified FIXED.

Note You need to log in before you can comment on or make changes to this bug.